package com.ztmap.project.zhny.lotusxnyxnqk.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ztmap.framework.aspectj.lang.annotation.Excel;
import com.ztmap.framework.web.domain.BaseEntity;

/**
 * 新能源消纳情况对象 t_lotus_xnyxnqk
 * 
 * @author ztmap
 * @date 2023-11-16
 */
public class TLotusXnyxnqk extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 光伏 */
    @Excel(name = "光伏")
    private Long gf;

    /** 风电 */
    @Excel(name = "风电")
    private Long fd;

    /** 时间 */
    @Excel(name = "时间")
    private String dataTime;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setGf(Long gf)
    {
        this.gf = gf;
    }

    public Long getGf()
    {
        return gf;
    }
    public void setFd(Long fd)
    {
        this.fd = fd;
    }

    public Long getFd()
    {
        return fd;
    }
    public void setDataTime(String dataTime)
    {
        this.dataTime = dataTime;
    }

    public String getDataTime()
    {
        return dataTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("gf", getGf())
            .append("fd", getFd())
            .append("dataTime", getDataTime())
            .toString();
    }
}
